org.eclnt.jsfserver.polling

## Interface ILongPolling

- All Known Implementing Classes:
    DefaultLongPolling, DefaultLongPolling30API, DefaultLongPollingComet, DefaultLongPollingWebSocket

      public interface ILongPolling

  Interface that needs to be implemented by long polling instances. Please do no directly implement the interface but better create a sub-class from `DefaultLongPolling`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortThread()` Abort long polling thread.
    `void` | `abortThreadWithErrorIfWaiting()` Abort long polling thread with error.
    `void` | `abortThreadWithouContinuingPolling()` Abort long polling thread - and tell the client that it should not continue to create new poll requests.
    `boolean` | `getContinuePolling()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getURL()` URL that is addressed by the long polling component on client side.
    `void` | `keepAlive()` Writes some chunk content into the connection so that the connection is not timed out.
    `void` | `wakeup(boolean continuePolling)` When an event is triggered then the wakeup method is to be called.
    `void` | `wakeupForReconnect()` Calling this method will trigger the long polling to pass back a reconnect-signal to the client side.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

    - #### getContinuePolling

          boolean getContinuePolling()

    - #### getURL

          java.lang.String getURL()

      URL that is addressed by the long polling component on client side.

    - #### wakeup

          void wakeup(boolean continuePolling)

      When an event is triggered then the wakeup method is to be called. This will send the response to the client side. This is the method to be called by your application in order to trigger the response.

    - #### wakeupForReconnect

          void wakeupForReconnect()

      Calling this method will trigger the long polling to pass back a reconnect-signal to the client side. On client side the long polling will rebuild a new connection to the server side and continue the long polling.

    - #### abortThread

          void abortThread()

      Abort long polling thread.

    - #### abortThreadWithouContinuingPolling

          void abortThreadWithouContinuingPolling()

      Abort long polling thread - and tell the client that it should not continue to create new poll requests.

    - #### abortThreadWithErrorIfWaiting

          void abortThreadWithErrorIfWaiting()

      Abort long polling thread with error.

    - #### keepAlive

          void keepAlive()

      Writes some chunk content into the connection so that the connection is not timed out.

Copyright © CaptainCasa Gmbh. All Rights Reserved.